phrSetLogFileName {phreeqc} | R Documentation

## Set the name of the log file.

### Description

Sets the name of the log file. The default value is phreeqc.0.log

### Usage

    phrSetLogFileName(filename)

### Arguments

`filename` | the name of the file.

### Details

Logging must be enabled through the use of the KNOBS -logfile option in order to receive any log messages.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Log: `phrGetLogFileName`, `phrGetLogFileOn`, `phrGetLogStringsOn`, `phrGetLogStrings`, `phrSetLogFileOn`, `phrSetLogStringsOn`

### Examples

    # This example equilibrates pure water with calcite and displays
    # the log file name.
    phrLoadDatabaseString(phreeqc.dat)
    phrSetLogFileOn(TRUE)
    phrSetLogFileName("phreeqc.log")
    input <- c(
      'SOLUTION 1 Pure water ',
      'EQUILIBRIUM_PHASES 1  ',
      '    Calcite 0 10      ',
      'KNOBS                 ',
      '    -logfile true     '
      )

    if (is.null(phrRunString(input))) {
      cat("see", phrGetLogFileName(), "\n")
    }

[Package phreeqc version 3.4.10 Index]